| HUnit-1.2.0.0: A unit testing framework for Haskell | Source code | Contents | Index

Test.HUnit.Text

Documentation

data PutText st | Source

Constructors

PutText (String -> Bool -> st -> IO st) st |

putTextToHandle :: Handle -> Bool -> PutText Int | Source

putTextToShowS :: PutText ShowS | Source

runTestText :: PutText st -> Test -> IO (Counts, st) | Source

showPath :: Path -> String | Source

showCounts :: Counts -> String | Source

runTestTT :: Test -> IO Counts | Source

Produced by Haddock version 0.9